<span class="mention"
      class:mentions-user="$userId == id || content == '@everyone'">{content.content}</span>

<script>
  import UserStore from "../../stores/UserStore";
  
  export default {
    methods: {
      userChange() {
        console.log("userChange()");
        const got = this.get();
        const userId = got.id;
        const user = userId && UserStore.getUser(userId);
        this.set({
          content: {
            content: user ? "@" + user.username : got.whole,
            type: "text"
          }
        });
      }
    },
    onstate({current, changed}) {
      console.log("ONSTATE!!!!!!!!", current.id, this._fired);
      if (!this._fired || changed.id) {
        console.log("Subscribing!!!!");
        UserStore.subscribeComponent(current.id, this, this.userChange, "u");
      }
      this._fired = true;
    }
  };
</script>

<style>
  span.channel-mention {
    background-color: #5670a2;
    color: #fff;
  }

  span.mention {
    background-color: #5670a2;
    color: #fff;
  }
</style>
